/**
 * 项目：中核预埋件检测
 * @Author: xiongwei
 * @Date: 2024-11-15 11:50:00
 */

import { BasePageParams, PageResult, ApiResponse } from './baseModel';

export interface LogParams extends BasePageParams {
  /**
   * ID系统自动生成
   */
  id?: number;
  /**
   * ID系统自动生成 IN值List
   */
  idList?: Array<number>;
  /**
   * 描述
   */
  description?: string;
  /**
   * 操作人ID
   */
  userId?: number;
  /**
   * 操作人
   */
  username?: string;
  /**
   * 说明
   */
  remark?: string;
  /**
   * create_time
   */
  createTime?: Date;
  /**
   *  下限值(大于等于)
   */
  createTimeFrom?: Date;
  /**
   *  上限值(小于)
   */
  createTimeTo?: Date;
  /**
   * 其他参数
   */
  [key: string]: any;
}

export interface Log {
  /**
   * ID系统自动生成
   */
  id?: number;
  /**
   * 描述
   */
  description?: string;
  /**
   * 操作人ID
   */
  userId?: number;
  /**
   * 操作人
   */
  username?: string;
  /**
   * 说明
   */
  remark?: string;
  /**
   * create_time
   */
  createTime?: Date;
  /**
   * 其他参数
   */
  [key: string]: any;
}

export type LogPageResult = PageResult<Log>;

export type LogPageResponse = ApiResponse<LogPageResult>;

export type LogResponse = ApiResponse<Log>;
